package eu.jonahbauer.wizard.core.machine.states.round;

import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.GameState;

import java.util.UUID;

import static eu.jonahbauer.wizard.core.machine.states.GameData.*;

public abstract class RoundState extends GameState {
    public RoundState(GameData data) {
        super(data.require(ROUND, SCORE));
    }

    protected UUID getDealer() {
        return getPlayer(get(ROUND) % getPlayerCount());
    }
}
